c Useful statement functions:
c	1) for quick binary to 2-digit bcd conversion, and vice versa
c	2) type checking of single character
c
	integer*2 icvtbcd, icvtbin
	integer inum, ich2			! Compilation default
	logical numeric, lcalpha, alpha
	byte ch
c
	icvtbcd(inum) = (num(imod(inum, 10)) * 256)
	1 .or. num(inum/10)
	icvtbin(ich2) = (((ich2 .and. '7f'x) - '0') * 10)
	1 + ((ich2/256) - '0')
c
	numeric(ch) = (ch .ge. '0') .and. (ch .le. '9')
	lcalpha(ch) = (ch .ge. 'a') .and. (ch .le. 'z')
	alpha(ch) = ((ch .and. '5f') .ge. 'A')
	1     .and. ((ch .and. '5f') .le. 'Z')
c
c end statement functions
